
%global forgeurl https://pagure.io/go-rpm-macros
%global go_arches x86_64 aarch64 loongarch64

Name:           go-rpm-macros-epel
Version:        3.3.0.5
%global tag epel9-%{version}
%global distprefix %{nil}
%forgemeta
Release:    1%{?dist}
Summary:        Backport of certain OpenCloudOS Go RPM macros to EPEL

License:        GPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}
Source1:        README.md
Source2:        https://github.com/spdx/license-list-data/raw/master/text/Unlicense.txt

BuildRequires:  go-srpm-macros
BuildRequires:  go-rpm-macros
Requires:       go-rpm-macros

Requires:       go-srpm-macros-epel = %{version}-%{release}
Requires:       go-rpm-macros-golist-symlink = %{version}-%{release}

%description
go-rpm-macros-epel contains backports of certain Go RPM macros from OpenCloudOS.


%package -n     go-srpm-macros-epel
Summary:        Backport of certain Go SRPM macros from OpenCloudOS
BuildArch:      noarch
Requires:       go-srpm-macros
Requires:       (go-rpm-macros-epel if go-rpm-macros)

%description -n go-srpm-macros-epel
go-srpm-macros-epel contains backports of certain Go SRPM macros from OpenCloudOS.


%package -n     go-rpm-macros-golist-symlink
Summary:        Provides symlink to the bundled golist in go-rpm-macros
License:        Unlicense
Conflicts:      golist
Requires:       go-rpm-macros

%description    -n go-rpm-macros-golist-symlink
go-rpm-macros-golist-symlink provides a symlink from /usr/bin to
go-rpm-macros's bundled golist, which is installed in
/usr/libexec/go-rpm-macros. This allows the macros that expect to find golist
in $PATH to work properly.

This package is split out and namespaced to allow the upstream golist to be
packaged as golist.


%prep
%autosetup -p1 %{forgesetupargs}
mv README.md README.upstream.md
cp %{S:1} %{S:2} .
%writevars -f rpm/macros.d/macros.zzz-go-srpm-macros-epel golang_arches golang_arches_future gccgo_arches gopath


%install
install -Dpm 0644 rpm/macros.d/macros.* -t %{buildroot}%{_rpmmacrodir}
install -Dpm 0644 rpm/lua/rpm/*.lua -t %{buildroot}%{_rpmluadir}/OpenCloudOS/rpm
install -Dpm 0644 rpm/lua/srpm/*.lua -t %{buildroot}%{_rpmluadir}/OpenCloudOS/srpm


mkdir %{buildroot}%{_bindir}
ln -s %{_libexecdir}/go-rpm-macros/golist %{buildroot}%{_bindir}/golist

install -Dpm 0644 README.md README.upstream.md \
    -t %{buildroot}%{_docdir}/go-rpm-macros-epel
install -Dpm 0644 LICENSE.txt \
    -t %{buildroot}%{_defaultlicensedir}/go-rpm-macros-epel

%ifarch %{go_arches}
%files
%{_rpmmacrodir}/macros.zzz-go-compilers-golang
%{_rpmmacrodir}/macros.zzz-go-rpm-macros-epel
%{_rpmluadir}/OpenCloudOS/rpm/go_epel.lua
%endif

%files -n       go-srpm-macros-epel
%license %{_defaultlicensedir}/go-rpm-macros-epel
%doc %{_docdir}/go-rpm-macros-epel
%{_rpmmacrodir}/macros.zzz-go-srpm-macros-epel
%{_rpmluadir}/OpenCloudOS/srpm/go_epel.lua

%files -n       go-rpm-macros-golist-symlink
%doc README.md
%license Unlicense.txt
%{_bindir}/golist


%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
